Subject: Re: bug#25542: 25.1; Restoring the frame from fullscreen to maximized

From: Ken Brown <[email-masked]>
Date: Wed, 9 Sep 2020 14:19:37 -0400

On 9/9/2020 4:44 AM, martin rudalics wrote:
>  > I've just downloaded a native w32 build [1] and I've run it on my
>  > system (MS Windows 10 Enterprise). I see the same problem with this
>  > native build.
> 
> Can you please run under gdb with a breakpoint in w32fullscreen_hook of
> w32term.c suitably in here
> 
>        else if (f->want_fullscreen == FULLSCREEN_MAXIMIZED)
>      {
>        if (prev_fsmode == FULLSCREEN_BOTH || prev_fsmode == FULLSCREEN_WIDTH
>            || prev_fsmode == FULLSCREEN_HEIGHT)
>          /* Make window normal since otherwise the subsequent
>             maximization might fail in some cases.  */
>          ShowWindow (hwnd, SW_SHOWNORMAL);
>        ShowWindow (hwnd, SW_MAXIMIZE);
>      }
> 
> and tell us how the frame appears immediately after the ShowWindow
> calls.  Here the first call makes the frame appear with its "normal"
> size, the second one makes it appear maximized.

I just tried this on a Cygwin-w32 build from the master branch.  I put the 
taskbar on the left, started emacs, maximized it, attached gdb, put breakpoints 
at each of the ShowWindow lines, and ran through Dani's recipe for producing the 
bug.  The breakpoints were never hit.

Ken